<?php /* Smarty version 2.6.25, created on 2011-03-21 09:05:39
         compiled from url_submit.tpl */ ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head> 
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" /> 
<title>网站提交 ->  网站收录提交入口 -<?php echo $this->_tpl_vars['sysname']; ?>
</title> 
<style type="text/css">*{ margin:0; padding:0;}img{ border:0;}
body{ font:12px Arial, Helvetica, sans-serif; background:#fff url(<?php echo $this->_tpl_vars['URL']; ?>
/themes/default/images/s_bg_body.gif) repeat-x; color:#464646;}
.wrap{ width:920px; margin:0 auto;}.main{ padding-top:16px;}.red {color:red; font-family:"宋体"}.url_form{ padding-left:24px;}.url_form p{clear:both; height:1%; overflow:hidden; line-height:24px; padding:2px 0; font-family:"宋体";}.url_form p label{ display:block; float:left; width:84px; text-align:right; margin-right:6px;}
.url_form p input{ padding:1px 0; padding-left:2px; font-family:Arial, Helvetica, sans-serif; font-size:12px; width:142px; margin-right:4px;}
.url_form p textarea{padding:1px 0; padding-left:2px; }p.ts{padding:0px 0 4px 90px;}.url_form p input.tsw{ width:260px;}
h2 {border-bottom:1px dashed #666666;font-family:Verdana;font-size:16px;margin:10px 0;padding-bottom:8px;}
h2 span{ color:#FE9320; font-size:16px;}.tixing{ padding-top:16px;}h3 {background:transparent url(right.gif) no-repeat scroll right 0;color:#333333;font-family:Verdana;font-size:14px;}span.dot { color: #ddd; margin: 0px 6px; font-size: 14px; }p.sub_row{ padding-left:88px; margin-top:10px;}
p.sub_row input{ width:104px;}p.sub_row span{ color:#f00;}.rule{line-height:26px; padding:12px 0 26px 44px;}.rule ol li ol{ padding-left:34px;}
.copy{ border-top:#ccc solid 1px; padding:8px 0;; text-align:center;color:#7C7C7C;}.copy a{ text-decoration:none; color:#7C7C7C;}.copy a:hover{ text-decoration:underline;}.radiobtn_01 input{ width:24px; vertical-align:middle; height:14px;}
.friend_link{ padding-left:20px;}
.friend_link li{list-style:none;line-height:1.8; }
.friend_link li a{ color:#464646;}
.friend_link li ul{ padding-left:20px;}
.friend_link li ul li{ font-family:"宋体";}
</style> 

<script language="javascript">function addBookmark(title,url) {
    if (window.sidebar) {
        window.sidebar.addPanel(title, url,"");
    } else if( document.all ) {
        window.external.AddFavorite( url, title);
    } else if( window.opera && window.print ) {
        return true;
    }
}</script>
<script type="text/javascript" language="javascript">
 Validator = {
	Require : /.+/,
	Email : /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/,
	Phone : /^((\(\d{3}\))|(\d{3}\-))?(\(0\d{2,3}\)|0\d{2,3}-)?[1-9]\d{6,7}$/,
	Mobile : /^((\(\d{3}\))|(\d{3}\-))?(13\d{1}|15[0-9]{1})\d{8}$/,   /*新加入了移动的159开头手机号码*/
	YDMobile : /^((\(\d{3}\))|(\d{3}\-))?(13[4-9]{1}|15[15689]{1})\d{8}$/, 
	LTMobile : /^((\(\d{3}\))|(\d{3}\-))?(13[0-3]{1}|15[23]{1})\d{8}$/, 
	Url : /^http:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!]*([^<>\"\"])*$/,
	IdCard : /^\d{15}(\d{2}[A-Za-z0-9])?$/,
	Currency : /^\d+(\.\d+)?$/,
	Number : /^\d+$/,
	Zip : /^[1-9]\d{5}$/,
	QQ : /^[1-9]\d{4,8}$/,
	Integer : /^[-\+]?\d+$/,
	Double : /^[-\+]?\d+(\.\d+)?$/,
	English : /^[A-Za-z]+$/,
	Chinese :  /^[\u0391-\uFFE5]+$/,
	UnSafe : /^(([A-Z]*|[a-z]*|\d*|[-_\~!@#\$%\^&\*\.\(\)\[\]\{\}<>\?\\\/\'\"]*)|.{0,5})$|\s/,
	IsSafe : function(str){return !this.UnSafe.test(str);},
	SafeString : "this.IsSafe(value)",
	Limit : "this.limit(value.length,getAttribute('min'),  getAttribute('max'))",
	LimitB : "this.limit(this.LenB(value), getAttribute('min'), getAttribute('max'))",
	Date : "this.IsDate(value, getAttribute('min'), getAttribute('format'))",
	Repeat : "value == document.getElementsByName(getAttribute('to'))[0].value",
	Range : "getAttribute('min') < value && value < getAttribute('max')",
	Compare : "this.compare(value,getAttribute('operator'),getAttribute('to'))",
	Custom : "this.Exec(value, getAttribute('regexp'))",
	Group : "this.MustChecked(getAttribute('name'), getAttribute('min'), getAttribute('max'))",
	ErrorItem : [document.forms[0]],
	ErrorMessage : ["以下原因导致提交失败：\t\t\t\t"],
	Validate : function(theForm, mode){
		var obj = theForm || event.srcElement;
		var count = obj.elements.length;
		this.ErrorMessage.length = 1;
		this.ErrorItem.length = 1;
		this.ErrorItem[0] = obj;
		for(var i=0;i<count;i++){
			with(obj.elements[i]){
				var _dataType = getAttribute("dataType");
				if(typeof(_dataType) == "object" || typeof(this[_dataType]) == "undefined")  continue;
				this.ClearState(obj.elements[i]);
				if(getAttribute("require") == "false" && value == "") continue;
				switch(_dataType){
					case "Date" :
					case "Repeat" :
					case "Range" :
					case "Compare" :
					case "Custom" :
					case "Group" : 
					case "Limit" :
					case "LimitB" :
					case "SafeString" :
						if(!eval(this[_dataType]))	{
							this.AddError(i, getAttribute("msg"));
						}
						break;
					default :
						if(!this[_dataType].test(value)){
							this.AddError(i, getAttribute("msg"));
						}
						break;
				}
			}
		}
		if(this.ErrorMessage.length > 1){
			mode = mode || 1;
			var errCount = this.ErrorItem.length;
			switch(mode){
			case 2 :
				for(var i=1;i<errCount;i++)
					this.ErrorItem[i].style.color = "red";
			case 1 :
				alert(this.ErrorMessage.join("\n"));
			//document.getElementById("message").innerHTML = this.ErrorMessage.join("<br />");
				this.ErrorItem[1].focus();
				break;
			case 3 :
				for(var i=1;i<errCount;i++){
				try{
					var span = document.createElement("SPAN");
					span.id = "__ErrorMessagePanel";
					span.style.color = "red";
					this.ErrorItem[i].parentNode.appendChild(span);
					span.innerHTML = this.ErrorMessage[i].replace(/\d+:/,"*");
					}
					catch(e){alert(e.description);}
				}
				this.ErrorItem[1].focus();
				break;
			default :
				alert(this.ErrorMessage.join("\n"));
			//document.getElementById("message").innerHTML = this.ErrorMessage.join("<br />");
				break;
			}
			return false;
		}
		return true;
	},
	limit : function(len,min, max){
		min = min || 0;
		max = max || Number.MAX_VALUE;
		return min <= len && len <= max;
	},
	LenB : function(str){
		return str.replace(/[^\x00-\xff]/g,"**").length;
	},
	ClearState : function(elem){
		with(elem){
			if(style.color == "red")
				style.color = "";
			var lastNode = parentNode.childNodes[parentNode.childNodes.length-1];
			if(lastNode.id == "__ErrorMessagePanel")
				parentNode.removeChild(lastNode);
		}
	},
	AddError : function(index, str){
		this.ErrorItem[this.ErrorItem.length] = this.ErrorItem[0].elements[index];
		this.ErrorMessage[this.ErrorMessage.length] = this.ErrorMessage.length + ":" + str;
	},
	Exec : function(op, reg){
		return new RegExp(reg,"g").test(op);
	},
	compare : function(op1,operator,op2){
		switch (operator) {
			case "NotEqual":
				return (op1 != op2);
			case "GreaterThan":
				return (op1 > op2);
			case "GreaterThanEqual":
				return (op1 >= op2);
			case "LessThan":
				return (op1 < op2);
			case "LessThanEqual":
				return (op1 <= op2);
			default:
				return (op1 == op2);            
		}
	},
	MustChecked : function(name, min, max){
		var groups = document.getElementsByName(name);
		var hasChecked = 0;
		min = min || 1;
		max = max || groups.length;
		for(var i=groups.length-1;i>=0;i--)
			if(groups[i].checked) hasChecked++;
		return min <= hasChecked && hasChecked <= max;
	},
	IsDate : function(op, formatString){
		formatString = formatString || "ymd";
		var m, year, month, day;
		switch(formatString){
			case "ymd" :
				m = op.match(new RegExp("^((\\d{4})|(\\d{2}))([-./])(\\d{1,2})\\4(\\d{1,2})$"));
				if(m == null ) return false;
				day = m[6];
				month = m[5]--;
				year =  (m[2].length == 4) ? m[2] : GetFullYear(parseInt(m[3], 10));
				break;
			case "dmy" :
				m = op.match(new RegExp("^(\\d{1,2})([-./])(\\d{1,2})\\2((\\d{4})|(\\d{2}))$"));
				if(m == null ) return false;
				day = m[1];
				month = m[3]--;
				year = (m[5].length == 4) ? m[5] : GetFullYear(parseInt(m[6], 10));
				break;
			default :
				break;
		}
		if(!parseInt(month)) return false;
		month = month==12 ?0:month;
		var date = new Date(year, month, day);
        return (typeof(date) == "object" && year == date.getFullYear() && month == date.getMonth() && day == date.getDate());
		function GetFullYear(y){return ((y<30 ? "20" : "19") + y)|0;}
	}
 }
  
   function copyToClipBoard(clipBoardContent){
    window.clipboardData.setData("Text",clipBoardContent); 
    alert("地址已经复制成功，您可以粘贴到其他需要的地方！"); 
  }

function $(obj){return document.getElementById(obj)}

function copyText(txt)
{
var obj =window.clipboardData;
obj.setData('Text',txt);
alert('复制成功！');
}
</script>
</head>
<body>
<div class="wrap"><div class="logo"><a href="<?php echo $this->_tpl_vars['URL']; ?>
"><img src="<?php echo $this->_tpl_vars['URL']; ?>
/themes/default/images/logo.gif" alt="<?php echo $this->_tpl_vars['sysname']; ?>
" /></a></div> 
<div class="main"> 
<h2 class="submit"><span>★</span> 在您的站点增加下列友链</h2> 
<ul class="friend_link"> 
  <li>1、如果是文字链：
     <ul><li>a、友链标题为“<span id="tdid">96654上网导航</span>”<a href="javascript:void(0)" onclick="copyText('96654上网导航')">复制</a>，链接地址为“<span id="tdid2">http://www.96654.com.cn/</span>”<a href="javascript:void(0)" onclick="copyText('http://www.96654.com.cn/')">复制</a></li> 
     <li>b、友链标题为“<span id="tdid3">100度淘宝网</span>”<a href="javascript:void(0)" onclick="copyText('100度淘宝网')">复制</a>，链接地址为“<span id="tdid4">http://www.100doo.cn/</span>”<a href="javascript:void(0)" onclick="copyText('http://www.100doo.cn/')">复制</a></li></ul> 
  </li> 
<li>2、如果是图片链：
<ul><li>a、<a href="http://www.96654.com.cn/" target="_blank"><img src="<?php echo $this->_tpl_vars['URL']; ?>
/themes/default/images/88311.gif" align="absmiddle" alt="96654上网导航" /></a>&nbsp;<a href="javascript:void(0)" onclick="copyText('<?php echo $this->_tpl_vars['URL']; ?>
/themes/default/images/88311.gif')">复制LOGO地址</a>&nbsp;&nbsp;&nbsp;链接地址为“http://www.96654.com.cn/”<a href="javascript:void(0)" onclick="copyText('http://www.96654.com.cn/')">复制</a></li> 
<li style="padding:6px 0 16px 0;">b、<a href="http://www.100doo.cn/" target="_blank"><img src="<?php echo $this->_tpl_vars['URL']; ?>
/themes/default/images/88312.gif" align="absmiddle" alt="100度淘宝网" /></a>&nbsp;<a href="javascript:void(0)" onclick="copyText('<?php echo $this->_tpl_vars['URL']; ?>
/themes/default/images/88312.gif')">复制LOGO地址</a>&nbsp;&nbsp;&nbsp;链接地址为“http://www.100doo.cn/”<a href="javascript:void(0)" onclick="copyText('http://www.100doo.cn/')">复制</a> 
</li></ul> 
</li> 
</ul> 
<h2 class="submit"><span>★</span>  网址提交：所有<span class="red">*</span>号项均为必填项</h2>
<?php if ($this->_tpl_vars['message']): ?><h2 style="color: red;"><?php echo $this->_tpl_vars['message']; ?>
</h2><?php endif; ?> 
<form name='siteadd' id="siteadd" method="post" action="<?php echo $this->_tpl_vars['URL']; ?>
/url-submit/" onSubmit="return Validator.Validate(this,3)" target="_self" class="url_form">
<input type="hidden" name="action" value="add"/>
<p><label for='name'>网站名称：</label><input name="name" type="text" class="tsw" id="name" value="" dataType="Require"  msg="网站名称不能为空" />
<span class="red">*</span></p><p><label for='url'>网站网址：</label><input name="siteurl" type="text" class="tsw" id="siteurl" value=""  dataType="Url"  msg="网站地址要以http://开头" /> 
 <span class="red">*</span></p><p><label for='cate'>推荐分类：</label><input name="class" type="text" class="txt" id="class" value="" dataType="Require"  msg="网站分类不能为空" /> 
<span class="red">*</span> 依据贵站定位写明详细分类 如“音乐-在线音乐”</p><p><label for='email'>联系邮箱：</label><input name="email" type="text" class="txt" id="email" value=""  dataType="Email"  msg="电子邮件地址不正确!" /> 
<span class="red">*</span> 请填写最常用的邮箱（由于处理量大，目前只给通过收录的网站发送邮件）</p> 
<p><label for='qq'>联系QQ：</label><input name="qq" type="text" class="txt" id="qq" value="" dataType="QQ"  msg="QQ不正确!" onkeyup="value=value.replace(/[^\d]/g,'') "   /></p> 
<p><label for='icp'>备案信息：</label><input name="icp" type="text" class="txt" id="icp" value=""/>
 <span class="red">*</span> 互联网备案信息不正确将拒绝收录，如”京ICP备00000001号”；国外网站请注明! </p>
<p><label for='views'>网站访问量：</label><input name="pv" type="text" class="tsw" id="pv" value="" /><span class="red">*</span> 日独立IP</p>
<p><label for='views'>联 系 人：：</label><input name="lianxiren" type="text" class="txt" id="lianxiren" value=""/></p>  
<p><label for='intro'>网站简介：</label><textarea name='jianjie' cols="42" rows="5" id="jianjie" class="intro" dataType="Require"  msg="网站简介不能为空"></textarea></p> 
<p class="ts"><span class="red">*</span> 请填写贵站特色点及当前流量、搜索引擎收录情况、PR、alexa排名等</p>  
<div class="radiobtn_01">是否做好友链：</label><input name="sharelink" type="radio" value="1" />是
<input name="sharelink" type="radio" value="0" checked="checked" />否<span class="red"> * 如未做链接将不予收录</span></div><p class="sub_row"><input type='submit' id='submit' name='submit' value='提交申请' /> <input type="reset" value="重新填写" class="btn" /></p></form><h2 class='tixing'><span>★</span> 收录细则：<font style="font-size:12px; color:#333;">[<?php echo $this->_tpl_vars['sysname']; ?>
保留收录决定权以及贵站在本站网页中相关内容的编辑决定权]</font></h2><div class="rule"><ol><li>不收录有反动、色情、赌博等不良内容或提供不良内容链接的网站，以及网站名称或内容违反国家有关法规的网站；</li> 
<li>不收录无实用内容的网站，如您的网站正在建设中，尚无完整内容，请不必现在登录，欢迎您在网站建设完成后再来提交；</li> 
<li>不收录含有病毒、木马，弹出插件或恶意更改他人电脑设置的网站及有多个弹窗广告的网站； </li> 
<li>对挂靠别人的网站下的网站 ( 即没有自己单独域名的网站 ) ，本站将不予收录； </li> 
<li>不收录在正常情况下无法正常连接或浏览的网站； </li> 
<li>公益性网站及内容确有独特之处的网站优先收录； </li> 
<li>本站保留收录决定权以及在本站网址数据库中相关内容的编辑决定权。 </li></ol></div></div> 
<div class="copy">Powered by <a href="http://www.96654.com.cn/">96654上网导航</a> &copy;2005-<script type="text/javascript">document.write(new Date().getFullYear());</script> . All Rights Reserved.&nbsp;&nbsp;<a href="<?php echo $this->_tpl_vars['URL']; ?>
/feedback" target="_blank">意见反馈</a>&nbsp;&nbsp;<a href="<?php echo $this->_tpl_vars['URL']; ?>
/gg/" target=_blank>广告服务</a>&nbsp;&nbsp;<a href="<?php echo $this->_tpl_vars['URL']; ?>
/url-submit/" target="_blank">网站提交</a> &nbsp;&nbsp;<a href='<?php echo $this->_tpl_vars['icpurl']; ?>
' target=_blank><?php echo $this->_tpl_vars['icp']; ?>
</a></div> 
</div></body> 
</html> 